URL: /baas/api/reference/customer-apis/individual/registration
---
title: 'Individual Registration'
description: 'Register a new B2C individual customer'
---
import { RequiredRunnerHeaders } from '../../schemas/required-headers-snippet.mdx';
# Individual Registration
Creates an individual customer, linked person, and initial user in `PENDING_ACTIVATION`.
## Endpoint
`POST /api/v2.1/customer/individual/registration`
## Key Defaults (from B2C runner)
- `password` and `matchingPassword`: `SecurePass123!`
- Category example: `fs-cat-b2c-low-001` (`Individual Standard`)
- Role IDs: `ACCOUNT_OWNER`, `USER`
## Required Headers
## Example Request
```json
{
"firstName": "John",
"lastName": "Customer",
"email": "customer.20260331114946-387074@testcorp.com",
"phone": "+37062767557",
"password": "SecurePass123!",
"matchingPassword": "SecurePass123!",
"dateOfBirth": "1990-05-15",
"gender": "MALE",
"nationality": "Lithuania",
"placeOfBirth": "Vilnius",
"pincode": "12345",
"roleIds": ["ACCOUNT_OWNER", "USER"],
"customerCategory": {
"id": "fs-cat-b2c-low-001",
"name": "Individual Standard"
}
}
```
## cURL
```bash
curl -X POST "https://sandbox.finhub.cloud/api/v2.1/customer/individual/registration" \
-H "Content-Type: application/json" \
-H "X-Tenant-ID: 97e7ff29-15f3-49ef-9681-3bbfcce4f6cd" \
-H "Authorization: Bearer YOUR_ADMIN_TOKEN" \
-d @registration.json
```
## Success Response
```json 200
{
"code": 200,
"data": {
"id": "2dac1793-ab48-420c-b0b5-01292302e188",
"customerStatus": "CS_REGISTRATION_COMPLETED",
"user": {
"id": "0d488f57-57ef-4f9a-88a6-f89121cab838",
"email": "customer.20260331114946-387074@testcorp.com"
}
},
"message": "B2C individual account created successfully"
}
```
Used in B2C step runner Step 3 and mirrored in `individual-playground.crx.js`.